Bug 1118294 - pump requires include_server.py in distcc-server
Summary: pump requires include_server.py in distcc-server
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: distcc
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 11:52 UTC by Jason Montleon
Modified: 2015-06-30 01:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:04:39 UTC


Attachments (Terms of Use)

Description Jason Montleon 2014-07-10 11:52:52 UTC
Description of problem:
__________Using distcc-pump from /usr/bin
__________Using 2 distcc servers in pump mode
/usr/bin/python: can't open file '/usr/lib/python2.7/site-packages/include_server/include_server.py': [Errno 2] No such file or directory
__________Expected a socket at '/tmp/distcc-pump.Cpvtaj/socket'
__________Could not start distcc-pump include server


yum whatprovides gives:
distcc-server-3.2rc1-5.fc20.armv7hl : Server for distributed C/C++ compilation
Repo        : fedora
Matched from:
Filename    : /usr/lib/python2.7/site-packages/include_server/include_server.py


Version-Release number of selected component (if applicable):
distcc-3.2rc1-5.fc20.armv7hl

How reproducible:
Always

Steps to Reproduce:
1. Install distcc
2. Try to use it in pump mode

Actual results:
Error stating it can't find the file above

Expected results:
It should run as expected, either having the file in distcc or having a dependency on distcc-server.

Additional info:

Comment 1 Gwyn Ciesla 2014-07-29 14:50:11 UTC
I've moved all pump-related bits to the main package and made distcc-server Require distcc.

Here's a koji scratch build for you to test (since my only f20 arm machine is a Raspberry Pi on pidora and hence armv6hl and not armv7hl).  Let me know how it works, and if it's good I'll build for all releases.

http://koji.fedoraproject.org/koji/taskinfo?taskID=7210066

Comment 2 Fedora End Of Life 2015-05-29 12:20:27 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-30 01:04:39 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.